FilterIndexReader.FilterTermDocs (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.FilterIndexReader.FilterTermDocs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterIndexReader.FilterTermDocs

    java.lang.Object
      org.apache.lucene.index.FilterIndexReader.FilterTermDocs

All Implemented Interfaces:
  Closeable, TermDocs

Direct Known Subclasses:
  FilterIndexReader.FilterTermPositions

Enclosing class:
  FilterIndexReader

    public static class FilterIndexReader.FilterTermDocs

extends Object
implements TermDocs

Base class for filtering `TermDocs` implementations.

Field Summary
`protected TermDocs` | `in`

Constructor Summary
`FilterIndexReader.FilterTermDocs(TermDocs in)`

Method Summary
`void` | `close()` Frees associated resources.
`int` | `doc()` Returns the current document number.
`int` | `freq()` Returns the frequency of the term within the current document.
`boolean` | `next()` Moves to the next pair in the enumeration.
`int` | `read(int[] docs, int[] freqs)` Attempts to read multiple entries from the enumeration, up to length of docs.
`void` | `seek(Term term)` Sets this to the data for a term.
`void` | `seek(TermEnum termEnum)` Sets this to the data for the current term in a `TermEnum`.
`boolean` | `skipTo(int i)` Skips entries to the first beyond the current whose document number is greater than or equal to target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected TermDocs in

Constructor Detail

### FilterIndexReader.FilterTermDocs

    public FilterIndexReader.FilterTermDocs(TermDocs in)

Method Detail

### seek

    public void seek(Term term)
              throws IOException

  Description copied from interface: `TermDocs`
  Sets this to the data for a term. The enumeration is reset to the start of the data for this term.

  Specified by:
    `seek` in interface `TermDocs`
  Throws:
    `IOException`

### seek

    public void seek(TermEnum termEnum)
              throws IOException

  Description copied from interface: `TermDocs`
  Sets this to the data for the current term in a `TermEnum`. This may be optimized in some implementations.

  Specified by:
    `seek` in interface `TermDocs`
  Throws:
    `IOException`

### doc

    public int doc()

  Description copied from interface: `TermDocs`
  Returns the current document number.

  This is invalid until `TermDocs.next()` is called for the first time.

  Specified by:
    `doc` in interface `TermDocs`

### freq

    public int freq()

  Description copied from interface: `TermDocs`
  Returns the frequency of the term within the current document.

  This is invalid until `TermDocs.next()` is called for the first time.

  Specified by:
    `freq` in interface `TermDocs`

### next

    public boolean next()
                 throws IOException

  Description copied from interface: `TermDocs`
  Moves to the next pair in the enumeration.

  Returns true iff there is such a next pair in the enumeration. Once this returns false you should not call any of the other methods.

  Specified by:
    `next` in interface `TermDocs`
  Throws:
    `IOException`

### read

    public int read(int[] docs,
                    int[] freqs)
             throws IOException

  Description copied from interface: `TermDocs`
  Attempts to read multiple entries from the enumeration, up to length of docs. Document numbers are stored in docs, and term frequencies are stored in freqs. The freqs array must be as long as the docs array.

  Returns the number of entries read. Zero is only returned when the stream has been exhausted.

  Specified by:
    `read` in interface `TermDocs`
  Throws:
    `IOException`

### skipTo

    public boolean skipTo(int i)
                   throws IOException

  Description copied from interface: `TermDocs`
  Skips entries to the first beyond the current whose document number is greater than or equal to target.

  Returns true iff there is such an entry.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
                   return false;
           } while (target > doc());
           return true;
         }

  Some implementations are considerably more efficient than that.

  Specified by:
    `skipTo` in interface `TermDocs`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Description copied from interface: `TermDocs`
  Frees associated resources.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in interface `TermDocs`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD